/*
 * Copyright (c) 1993 The Department of Computer Science, University of Calgary.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the University of
 *      Calgary, Department of Computer Science and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#include <stdio.h>
#include <sys/syssgi.h>

static
char sccsid[] =
    "@(#)syssgi.c 1.3 97/2/07 tim";

pr_syssgi(fp, value)
FILE *fp;
{
   switch ((int)value) {
      case SGI_SYSID:		return(fprintf(fp, "SGI_SYSID"));
/*    case SGI_RDUBLK:		return(fprintf(fp, "SGI_RDUBLK")); */
      case SGI_TUNE:		return(fprintf(fp, "SGI_TUNE"));
      case SGI_IDBG:		return(fprintf(fp, "SGI_IDBG"));
      case SGI_INVENT:		return(fprintf(fp, "SGI_INVENT"));
      case SGI_RDNAME:		return(fprintf(fp, "SGI_RDNAME"));
      case SGI_SETLED:		return(fprintf(fp, "SGI_SETLED"));
      case SGI_SETNVRAM:	return(fprintf(fp, "SGI_SETNVRAM"));
      case SGI_GETNVRAM:	return(fprintf(fp, "SGI_GETNVRAM"));
      case SGI_QUERY_FTIMER:	return(fprintf(fp, "SGI_QUERY_FTIMER"));
      case SGI_QUERY_CYCLECNTR:	return(fprintf(fp, "SGI_QUERY_CYCLECNTR"));
      case SGI_PROCSZ:		return(fprintf(fp, "SGI_PROCSZ"));
      case SGI_SIGACTION:	return(fprintf(fp, "SGI_SIGACTION"));
      case SGI_SIGPENDING:	return(fprintf(fp, "SGI_SIGPENDING"));
      case SGI_SIGPROCMASK:	return(fprintf(fp, "SGI_SIGPROCMASK"));
      case SGI_SIGSUSPEND:	return(fprintf(fp, "SGI_SIGSUSPEND"));
      case SGI_SETSID:		return(fprintf(fp, "SGI_SETSID"));
      case SGI_SETPGID:		return(fprintf(fp, "SGI_SETPGID"));
      case SGI_SYSCONF:		return(fprintf(fp, "SGI_SYSCONF"));
      case SGI_WAIT4:		return(fprintf(fp, "SGI_WAIT4"));
      case SGI_PATHCONF:	return(fprintf(fp, "SGI_PATHCONF"));
      case SGI_READB:		return(fprintf(fp, "SGI_READB"));
      case SGI_WRITEB:		return(fprintf(fp, "SGI_WRITEB"));
      case SGI_SETGROUPS:	return(fprintf(fp, "SGI_SETGROUPS"));
      case SGI_GETGROUPS:	return(fprintf(fp, "SGI_GETGROUPS"));
      case SGI_SETTIMEOFDAY:	return(fprintf(fp, "SGI_SETTIMEOFDAY"));
      case SGI_SETTIMETRIM:	return(fprintf(fp, "SGI_SETTIMETRIM"));
      case SGI_GETTIMETRIM:	return(fprintf(fp, "SGI_GETTIMETRIM"));
      case SGI_SPROFIL:		return(fprintf(fp, "SGI_SPROFIL"));
      case SGI_RUSAGE:		return(fprintf(fp, "SGI_RUSAGE"));
      case SGI_SIGSTACK:	return(fprintf(fp, "SGI_SIGSTACK"));
      case SGI_SIGSTATUS:	return(fprintf(fp, "SGI_SIGSTATUS"));
      case SGI_NETPROC:		return(fprintf(fp, "SGI_NETPROC"));
      case SGI_SIGALTSTACK:	return(fprintf(fp, "SGI_SIGALTSTACK"));
      case SGI_BDFLUSHCNT:	return(fprintf(fp, "SGI_BDFLUSHCNT"));
      case SGI_SSYNC:		return(fprintf(fp, "SGI_SSYNC"));
      case SGI_NFSCNVT:		return(fprintf(fp, "SGI_NFSCNVT"));
      case SGI_GETPGID:		return(fprintf(fp, "SGI_GETPGID"));
      case SGI_GETSID:		return(fprintf(fp, "SGI_GETSID"));
      case SGI_IOPROBE:		return(fprintf(fp, "SGI_IOPROBE"));
      case SGI_CONFIG:		return(fprintf(fp, "SGI_CONFIG"));
      case SGI_ELFMAP:		return(fprintf(fp, "SGI_ELFMAP"));
      case SGI_MCONFIG:		return(fprintf(fp, "SGI_MCONFIG"));
      case SGI_GETPLABEL:	return(fprintf(fp, "SGI_GETPLABEL"));
      case SGI_SETPLABEL:	return(fprintf(fp, "SGI_SETPLABEL"));
      case SGI_GETLABEL:	return(fprintf(fp, "SGI_GETLABEL"));
      case SGI_SETLABEL:	return(fprintf(fp, "SGI_SETLABEL"));
      case SGI_SATREAD:		return(fprintf(fp, "SGI_SATREAD"));
      case SGI_SATWRITE:	return(fprintf(fp, "SGI_SATWRITE"));
      case SGI_SATCTL:		return(fprintf(fp, "SGI_SATCTL"));
      case SGI_LOADATTR:	return(fprintf(fp, "SGI_LOADATTR"));
      case SGI_UNLOADATTR:	return(fprintf(fp, "SGI_UNLOADATTR"));
      case SGI_RECVLUMSG:	return(fprintf(fp, "SGI_RECVLUMSG"));
      case SGI_PLANGMOUNT:	return(fprintf(fp, "SGI_PLANGMOUNT"));
      case SGI_GETPSOACL:	return(fprintf(fp, "SGI_GETPSOACL"));
      case SGI_SETPSOACL:	return(fprintf(fp, "SGI_SETPSOACL"));
      case SGI_EAG_GETATTR:	return(fprintf(fp, "SGI_EAG_GETATTR"));
      case SGI_EAG_SETATTR:	return(fprintf(fp, "SGI_EAG_SETATTR"));
      case SGI_EAG_GETPROCATTR:	return(fprintf(fp, "SGI_EAG_GETPROCATTR"));
      case SGI_EAG_SETPROCATTR:	return(fprintf(fp, "SGI_EAG_SETPROCATTR"));
      case SGI_RMI_FIXECC:	return(fprintf(fp, "SGI_RMI_FIXECC"));
      case SGI_R4K_CERRS:	return(fprintf(fp, "SGI_R4K_CERRS"));
      case SGI_GET_EVCONF:	return(fprintf(fp, "SGI_GET_EVCONF"));
      case SGI_MPCWAROFF:	return(fprintf(fp, "SGI_MPCWAROFF"));
      case SGI_SET_AUTOPWRON:	return(fprintf(fp, "SGI_SET_AUTOPWRON"));
      case SGI_SPIPE:		return(fprintf(fp, "SGI_SPIPE"));
      case SGI_SYMTAB:		return(fprintf(fp, "SGI_SYMTAB"));
      case SGI_SET_FP_PRECISE:	return(fprintf(fp, "SGI_SET_FP_PRECISE"));
      case SGI_TOSSTSAVE:	return(fprintf(fp, "SGI_TOSSTSAVE"));
      case SGI_FDHI:		return(fprintf(fp, "SGI_FDHI"));
      case SGI_SET_CONFIG_SMM:	return(fprintf(fp, "SGI_SET_CONFIG_SMM"));
      case SGI_SET_FP_PRESERVE:	return(fprintf(fp, "SGI_SET_FP_PRESERVE"));
      case SGI_MINRSS:		return(fprintf(fp, "SGI_MINRSS"));
      case SGI_GRIO:		return(fprintf(fp, "SGI_GRIO"));
      case SGI_XLV_SET_TAB:	return(fprintf(fp, "SGI_XLV_SET_TAB"));
      case SGI_XLV_GET_TAB:	return(fprintf(fp, "SGI_XLV_GET_TAB"));
      case SGI_GET_FP_PRECISE:	return(fprintf(fp, "SGI_GET_FP_PRECISE"));
      case SGI_GET_CONFIG_SMM:	return(fprintf(fp, "SGI_GET_CONFIG_SMM"));
      case SGI_FP_IMPRECISE_SUPP:	return(fprintf(fp, "SGI_FP_IMPRECISE_SUPP"));
      case SGI_CONFIG_NSMM_SUPP:	return(fprintf(fp, "SGI_CONFIG_NSMM_SUPP"));
/*    case SGI_XFS_LOG_STAT:	return(fprintf(fp, "SGI_XFS_LOG_STAT")); */
      case SGI_RT_TSTAMP_CREATE:	return(fprintf(fp, "SGI_RT_TSTAMP_CREATE"));
      case SGI_RT_TSTAMP_DELETE:	return(fprintf(fp, "SGI_RT_TSTAMP_DELETE"));
      case SGI_RT_TSTAMP_START:	return(fprintf(fp, "SGI_RT_TSTAMP_START"));
      case SGI_RT_TSTAMP_STOP:	return(fprintf(fp, "SGI_RT_TSTAMP_STOP"));
      case SGI_RT_TSTAMP_ADDR:	return(fprintf(fp, "SGI_RT_TSTAMP_ADDR"));
      case SGI_RT_TSTAMP_MASK:	return(fprintf(fp, "SGI_RT_TSTAMP_MASK"));
      case SGI_RT_TSTAMP_EOB_MODE:	return(fprintf(fp, "SGI_RT_TSTAMP_EOB_MODE"));
      case SGI_USE_FP_BCOPY:	return(fprintf(fp, "SGI_USE_FP_BCOPY"));
      case SGI_GET_UST:		return(fprintf(fp, "SGI_GET_UST"));
      case SGI_SPECULATIVE_EXEC:	return(fprintf(fp, "SGI_SPECULATIVE_EXEC"));
      case SGI_XLV_NEXT_RQST:	return(fprintf(fp, "SGI_XLV_NEXT_RQST"));
      case SGI_XLV_ATTR_CURSOR:	return(fprintf(fp, "SGI_XLV_ATTR_CURSOR"));
      case SGI_XLV_ATTR_GET:	return(fprintf(fp, "SGI_XLV_ATTR_GET"));
      case SGI_XLV_ATTR_SET:	return(fprintf(fp, "SGI_XLV_ATTR_SET"));
      case SGI_BTOOLSIZE:	return(fprintf(fp, "SGI_BTOOLSIZE"));
      case SGI_BTOOLGET:	return(fprintf(fp, "SGI_BTOOLGET"));
      case SGI_BTOOLREINIT:	return(fprintf(fp, "SGI_BTOOLREINIT"));
      case SGI_CREATE_UUID:	return(fprintf(fp, "SGI_CREATE_UUID"));
      case SGI_NOFPE:		return(fprintf(fp, "SGI_NOFPE"));
      case SGI_OLD_SOFTFP:	return(fprintf(fp, "SGI_OLD_SOFTFP"));
      case SGI_FS_INUMBERS:	return(fprintf(fp, "SGI_FS_INUMBERS"));
      case SGI_FS_BULKSTAT:	return(fprintf(fp, "SGI_FS_BULKSTAT"));
      case SGI_RT_TSTAMP_WAIT:	return(fprintf(fp, "SGI_RT_TSTAMP_WAIT"));
      case SGI_RT_TSTAMP_UPDATE:	return(fprintf(fp, "SGI_RT_TSTAMP_UPDATE"));
      case SGI_PATH_TO_HANDLE:	return(fprintf(fp, "SGI_PATH_TO_HANDLE"));
      case SGI_PATH_TO_FSHANDLE:	return(fprintf(fp, "SGI_PATH_TO_FSHANDLE"));
      case SGI_FD_TO_HANDLE:	return(fprintf(fp, "SGI_FD_TO_HANDLE"));
      case SGI_OPEN_BY_HANDLE:	return(fprintf(fp, "SGI_OPEN_BY_HANDLE"));
      case SGI_READLINK_BY_HANDLE:	return(fprintf(fp, "SGI_READLINK_BY_HANDLE"));
      case SGI_READ_DANGID:	return(fprintf(fp, "SGI_READ_DANGID"));
      default: fprintf(fp, "%d", (int)value);
   }
}
